/* yes_no() -- prompts user with a yes/no question and returns an int
 * indicating the answer.  An answer 'yes' returns 'y' and  'no' returns
 * 'n'.  An erroneus answer returns -1
 */

#include <stdio.h>
#include <ctype.h>

int YesNo( const char *prompt )
{
    int c;  /* sucks up junk characters. */
    int answer;

    fprintf( stdout, "%s (y|n): ", prompt );
    fflush( stdout );
    answer = getchar();
    while( (c = getchar()) != '\n' && c != EOF );
    answer = tolower( (unsigned char)answer );

    if( 'y' != answer && 'n' != answer  ) answer = -1; /* bad input */

    return answer;
}
